curl --request POST \
--url https://api.hubapi.com/crm/associations/2026-09/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"maxToObjectIds": 123,
"typeId": 123
}
]
}
'import requests
url = "https://api.hubapi.com/crm/associations/2026-09/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create"
payload = { "inputs": [
{
"maxToObjectIds": 123,
"typeId": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{maxToObjectIds: 123, typeId: 123}]})
};
fetch('https://api.hubapi.com/crm/associations/2026-09/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>",
"userEnforcedMaxToObjectIds": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>",
"userEnforcedMaxToObjectIds": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch create labels
Batch configure association limits between two object types.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Path Parameters
The type of the source object in the association.
The type of the target object in the association.
Body
An array of PublicAssociationDefinitionConfigurationCreateRequest objects. Each item in the array specifies the configuration details for creating an association definition.
Show child attributes
Show child attributes
Response
successful operation
The date and time when the batch operation was completed.
An array of user configurations for public association definitions, representing the outcome of the batch operation.
Show child attributes
Show child attributes
The date and time when the batch operation started.
The current status of the batch operation, which can be CANCELED, COMPLETE, PENDING, or PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING A collection of URLs linking to related documentation or resources associated with the batch operation.
Show child attributes
Show child attributes
The date and time when the batch operation was requested.
Was this page helpful?